CVC4::PairHashFunction< T, U, HashT, HashU > Struct Template Reference

`#include <hash.h>`

## Public Member Functions

size_t | operator() (const std::pair< T, U > &pr) const

## Detailed Description

template<class T, class U, class HashT = std::hash<T>, class HashU = std::hash<U>>
struct CVC4::PairHashFunction< T, U, HashT, HashU >

Definition at line 56 of file hash.h.

## Member Function Documentation

## operator()()

template<class T , class U , class HashT = std::hash<T>, class HashU = std::hash<U>>

size_t CVC4::PairHashFunction< T, U, HashT, HashU >::operator() | ( | const std::pair< T, U > & | pr | ) | const

inline

Definition at line 57 of file hash.h.

The documentation for this struct was generated from the following file:

- src/util/hash.h